SdFat

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Functions
ios.h File Reference

ios_base and ios classes More...

`#include "FatFile.h"`
Include dependency graph for ios.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | ios
| Error and state information for all streams. More...
class | ios_base
| Base class for all streams. More...

## Functions
ios_base & | boolalpha (ios_base &str)
ios_base & | dec (ios_base &str)
ios_base & | hex (ios_base &str)
ios_base & | internal (ios_base &str)
ios_base & | left (ios_base &str)
ios_base & | noboolalpha (ios_base &str)
ios_base & | noshowbase (ios_base &str)
ios_base & | noshowpoint (ios_base &str)
ios_base & | noshowpos (ios_base &str)
ios_base & | noskipws (ios_base &str)
ios_base & | nouppercase (ios_base &str)
ios_base & | oct (ios_base &str)
ios_base & | right (ios_base &str)
ios_base & | showbase (ios_base &str)
ios_base & | showpoint (ios_base &str)
ios_base & | showpos (ios_base &str)
ios_base & | skipws (ios_base &str)
ios_base & | uppercase (ios_base &str)

## Detailed Description

ios_base and ios classes

## Function Documentation

ios_base& boolalpha | ( | ios_base & | str | ) |
| inline

function for boolalpha manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& dec | ( | ios_base & | str | ) |
| inline

function for dec manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& hex | ( | ios_base & | str | ) |
| inline

function for hex manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& internal | ( | ios_base & | str | ) |
| inline

function for internal manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& left | ( | ios_base & | str | ) |
| inline

function for left manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& noboolalpha | ( | ios_base & | str | ) |
| inline

function for noboolalpha manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& noshowbase | ( | ios_base & | str | ) |
| inline

function for noshowbase manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& noshowpoint | ( | ios_base & | str | ) |
| inline

function for noshowpoint manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& noshowpos | ( | ios_base & | str | ) |
| inline

function for noshowpos manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& noskipws | ( | ios_base & | str | ) |
| inline

function for noskipws manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& nouppercase | ( | ios_base & | str | ) |
| inline

function for nouppercase manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& oct | ( | ios_base & | str | ) |
| inline

function for oct manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& right | ( | ios_base & | str | ) |
| inline

function for right manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& showbase | ( | ios_base & | str | ) |
| inline

function for showbase manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& showpoint | ( | ios_base & | str | ) |
| inline

function for showpoint manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& showpos | ( | ios_base & | str | ) |
| inline

function for showpos manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& skipws | ( | ios_base & | str | ) |
| inline

function for skipws manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

ios_base& uppercase | ( | ios_base & | str | ) |
| inline

function for uppercase manipulator

Parameters

  [in] | str | The stream

Returns
  The stream